<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
$set['title']=$soo['name'].' - Нарушения'; // заголовок страницы
require '../sys/inc/thead.php';
title();
if (isset($soo['ban'])!=NULL && $soo['ban']>$time)
{
echo "<div class='fyt'>\n";
echo "Сообщество забанено за ".output_text($soo['prich'])."<br/>Откроется ".vremja($soo['ban'])."\n";
echo "</div>\n";
if(isset($user) && $user['level']>=3 && $user['id']!=$soo['admid'])
{
if(isset($_GET['del']))
{
mysql_query("UPDATE `soo` SET `ban`='$time' WHERE `id`='$soo[id]' LIMIT 1");
msg('Сообщество успешно разбанено');
}else{
echo "<div class='enk_div'><a href='?s=$soo[id]&del'>Разбанить</a></div>\n";
}
}
}else{
?>
<div class='noy'>Нет нарушений</div>
<?
}
if(isset($user) && $user['level']>=3 && $user['id']!=$soo['admid'])
{
if(isset($_GET['ban']))
{
if(isset($_POST['ban_time']) && is_numeric($_POST['ban_time']) && isset($_POST['ban_type']) && ($_POST['ban_type']==0 || $_POST['ban_type']==1) && isset($_POST['prich']) && $_POST['prich']!=NULL)
{
$ban_time = intval($_POST['ban_time']);
$ban_type = intval($_POST['ban_type']);
if($ban_type==0)$time_ban=$time+60*60*$ban_time; else $time_ban=$time+60*60*24*$ban_time;
$prich=$_POST['prich'];
if (isset($_POST['translit']) && $_POST['translit']==1)$prich=translit($prich);

$mat=antimat($prich);
if ($mat)$err[]='В тексте причины обнаружен мат: '.$mat;

if (strlen2($prich)>1024){$err[]='Причина слишком длинная';}
elseif (strlen2($prich)<2){$err[]='Короткая причина';}
$prich=my_esc($prich);
if(!isset($err))
{
mysql_query("UPDATE `soo` SET `ban`='$time_ban' WHERE `id`='$soo[id]' LIMIT 1");
mysql_query("UPDATE `soo` SET `prich`='$prich' WHERE `id`='$soo[id]' LIMIT 1");
msg('Сообщество успешно забанено');
}
}else{
echo'<form method="post" action="?s='.$soo['id'].'&ban">';
echo'На срок<br/>';
echo'<input type="text" name="ban_time" size="3">';
echo'<select name="ban_type">';
echo'<option value="1">Дней</option>';
echo'<option value="0">Часов</option>';
echo'</select><br/>';
echo'Причина(обязательно)<br/>';
echo'<textarea name="prich"></textarea><br/>';
if ($user['set_translit']==1)echo '<label><input type="checkbox" name="translit" value="1"/> Транслит</label><br />';
echo'<input type="submit" value="Отправить"></form>';
}
}else{
echo "<div class='enk2_div'><a href='?s=$soo[id]&amp;ban'>Забанить</a></div>\n";
}
}
echo '<div class="fyt"><img src="img/back.png" alt="" class="icon"/> <a href="index.php">Сообщества</a></div>';
}else{
header("Location:index.php");
}
require '../sys/inc/tfoot.php';
?>
